# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from openupgradelib import openupgrade  # pylint: disable=W7936
from psycopg2 import sql


def scop_account_arescop_map_values(env):
    env.cr.execute(
        sql.SQL(
            """
                UPDATE account_move am
                SET
                    arescop_group_id = ai.arescop_group_id,
                    is_arescop_invoiced = ai.is_arescop_invoiced
                FROM account_invoice ai
                WHERE ai.id = am.old_invoice_id;
            """
        ),
    )

@openupgrade.migrate()
def migrate(env, version):
    scop_account_arescop_map_values(env)
