# Copyright 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class AccountMove(models.Model):
    _inherit = "account.move"

    @api.model
    def _default_arescop_group_id(self):
        try:
            company_id = self.env.ref("cgscop_account_arescop.company_arescop")
            if company_id.id in self._context.get("allowed_company_ids"):
                return self.env.user.arescop_group_id.id
            else:
                return False
        except Exception:
            return False

    arescop_group_id = fields.Many2one(
        comodel_name="scop.arescop.group",
        string="Groupe ARESCOP",
        default=_default_arescop_group_id,
    )
    is_arescop_invoiced = fields.Boolean(
        string="Re-facturé ARESCOP", default=False, tracking=1
    )
