# Copyright 2021 Le Filament
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).

from odoo import api, models, tools


class IrUiMenuArescop(models.Model):
    _inherit = "ir.ui.menu"

    @api.model
    @tools.ormcache("frozenset(self.env.user.groups_id.ids)", "debug")
    def _visible_menu_ids(self, debug=False):
        """
        Remove account menu for ARESCOP users
        :param debug: if debug enabled
        :return: set(menu_ids)
        """
        menus = super(IrUiMenuArescop, self)._visible_menu_ids(debug)
        menu_ids = self.browse(list(menus))
        visible_menu_ids = menu_ids
        arescop_company_id = self.env.ref("cgscop_account_arescop.company_arescop")
        if self.env.company == arescop_company_id and self.env.user.has_group(
            "cgscop_account_arescop.group_cg_arescop_ur"
        ):
            visible_menu_ids = visible_menu_ids - self.env.ref("account.menu_finance")

        return set(visible_menu_ids.ids)
